class PostProgressNoteRequestModel {
  int appointmentNo;
  int episodeId;
  int patientMRN;
  String planNote;
  dynamic doctorID;
  dynamic editedBy;

  PostProgressNoteRequestModel(
      {this.appointmentNo,
      this.episodeId,
      this.patientMRN,
      this.planNote,
      this.doctorID,
      this.editedBy});

  PostProgressNoteRequestModel.fromJson(Map<String, dynamic> json) {
    appointmentNo = json['AppointmentNo'];
    episodeId = json['EpisodeID'];
    patientMRN = json['PatientMRN'];
    planNote = json['PlanNote'];
    doctorID = json['DoctorID'];
    editedBy = json['EditedBy'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['AppointmentNo'] = this.appointmentNo;
    data['EpisodeID'] = this.episodeId;
    data['PatientMRN'] = this.patientMRN;
    data['PlanNote'] = this.planNote;
    data['DoctorID'] = this.doctorID;
    data['EditedBy'] = this.editedBy;
    return data;
  }
}
